Subject: draft-ietf-ldapext-ldap-java-api-07 LDAPSchemaElement class

From: "Steve Sonntag" <[email-masked]>
Date: Thu, 07 Oct 1999 13:40:53 -0600

I have some questions about the abstract class LDAPSchemaElement

I had some difficulty understanding what is meant by "qualifiers" in the description of the getQualifier and setQualifier methods.  RFC 2252 is referenced, but it makes no mention of qualifiers.   If I am not mistaken qualifiers in this draft are the same as "terms" in RFC 2252 (4.2, 4.3.3, 4.4, 4.5).  To help others who might have the same problem, may I suggest alternative wording.

5.22.1 getAliases   public String[] getAliases()   Returns an array of all values except for the first value of the NAME qualifier, or null if there are none.

5.22.2 getDescription   public String getDescription()   Returns the value of the DESC qualifier.

5.22.3 getName   public String getName()   Returns the first value of the NAME qualifier.
and so on ...

GetQualifier now left unchanged, adding only a parameters section, viz:

5.22.5 getQualifier   public String[] getQualifier(String name)   Returns an array of all values of a specified optional or non-   standard qualifier of the element. This method may be used to access   the values of vendor-specific qualifiers (which begin with "X-" [2]).
   Parameters are:

       name                 The name of the qualifier  Q. Is it case insensitive or must the name be all
                                 upper case as listed in RFC 2252?  If a vendor specific qualifier,
                                 must the name match the case of names returned in getQualifierNames()?

and the same goes for setQualifier:

5.22.9 setQualifier   public void setQualifier(String name, String[] values)   Sets the values of a specified optional or non-standard qualifier of   the element. This method may be used to set the values of vendor-   specific qualifiers (which begin with "X-" [2]).

  Parameters are:

       name                 The name of the qualifier.

       values                The values to set for the qualifier.

------------------------
Steve Sonntag
Novell Directory Services
+1 801 861 7097